XtAddExposureToRegion(3)

NAME
XtAddExposureToRegion - merge exposure events into a region

SYNTAX
#include <X11/Intrinsic.h>

void XtAddExposureToRegion(XEvent *event, Region region);

ARGUMENTS

event
    Specifies a pointer to the Expose or GraphicsExpose event.

region
    Specifies the region object (as defined in <X11/Xutil.h>).

DESCRIPTION
The XtAddExposureToRegion function computes the union of the rectangle defined by the exposure event and the specified region. Then, it stores the results back in region. If the event argument is not an Expose or GraphicsExpose event, XtAddExposureToRegion returns without an error and without modifying region.

This function is used by the exposure compression mechanism (see Section 7.9.3).

SEE ALSO
X Toolkit Intrinsics - C Language Interface
Xlib - C Language X Interface